Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Oct 2020 00:28:16 +0300

On 01.10.2020 23:39, Lars Ingebrigtsen wrote:
>>> Right.  I know next to nothing about xref internals...  but...
>>> couldn't
>>> this function just squash the multiple-matches-on-a-single-line into one
>>> line?  Preserving the text props from the multiple lines and whatnot?
>>> So a post-processing step?
>> Which function?
> `project-find-regexp'

Then I'm not sure which eventual behavior you envision. Among other 
things, it doesn't answer the question I asked in the second paragraph 
of my previous email.

And if I get your idea right, this would break 
xref-query-replace-in-results.